Debian Bug report logs - #586870
partman-base: use a system-specific default filesystem

version graph

Package: partman-base; Maintainer for partman-base is Debian Install System Team <debian-boot@lists.debian.org>; Source for partman-base is src:partman-base.

Reported by: Jeremie Koenig <jk@jk.fr.eu.org>

Date: Wed, 23 Jun 2010 04:57:01 UTC

Severity: normal

Tags: patch

Found in version partman-base/141

Fixed in version partman-base/144

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#586870; Package partman-base. (Wed, 23 Jun 2010 04:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremie Koenig <jk@jk.fr.eu.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 23 Jun 2010 04:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeremie Koenig <jk@jk.fr.eu.org>
To: submit@bugs.debian.org
Subject: partman-base: use a system-specific default filesystem
Date: Wed, 23 Jun 2010 06:53:23 +0200
[Message part 1 (text/plain, inline)]
Package: partman-base
Version: 141
Severity: normal
Usertags: gsoc2010
Tags: patch

Hello,

Currently the default filesystem is ext3 on all systems. However, Hurd
only supports ext2 and kFreeBSD requires ufs as its root filesystem.
The attached patch sets a system-specific default, provided none has
been preseeded.

An alternative approach would be to load a system-specific "pre-preseed"
file at the beginning of the installation, though I'm not sure what
other configuration items would need system-specific defaults.

My suggestion would be to use my patch as a first step and review the
situation when/if more system-specific defaults prove to be necessary.

Any thoughts? (or irrepressible urges to commit my patch? :-)

Thanks,
-- 
Jeremie Koenig <jk@jk.fr.eu.org>
http://jk.fr.eu.org
[partman-base-default-filesys.patch (text/x-diff, attachment)]

Information stored :
Bug#586870; Package partman-base. (Sun, 11 Jul 2010 22:27:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremie Koenig <jk@jk.fr.eu.org>:
Extra info received and filed, but not forwarded. (Sun, 11 Jul 2010 22:27:14 GMT) Full text and rfc822 format available.

Message #10 received at 586870-quiet@bugs.debian.org (full text, mbox):

From: Jeremie Koenig <jk@jk.fr.eu.org>
To: 586870-quiet@bugs.debian.org
Subject: Re: partman-base: use a system-specific default filesystem
Date: Mon, 12 Jul 2010 00:16:05 +0200
[Message part 1 (text/plain, inline)]
On Wed, Jun 23, 2010 at 06:53:23AM +0200, Jeremie Koenig wrote:
> The attached patch sets a system-specific default, provided none has
> been preseeded.

Updated patch attached.

-- 
Jeremie Koenig <jk@jk.fr.eu.org>
http://jk.fr.eu.org
[partman-base-default-filesys.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#586870; Package partman-base. (Sun, 01 Aug 2010 14:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 01 Aug 2010 14:33:03 GMT) Full text and rfc822 format available.

Message #15 received at 586870@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: debian-boot@lists.debian.org, debian-bsd@lists.debian.org
Cc: 586870@bugs.debian.org
Subject: Re: Bug#586870: partman-base: use a system-specific default filesystem
Date: Sun, 1 Aug 2010 16:30:17 +0200
Hello,

Jeremie Koenig, le Wed 23 Jun 2010 06:53:23 +0200, a écrit :
> Currently the default filesystem is ext3 on all systems. However, Hurd
> only supports ext2 and kFreeBSD requires ufs as its root filesystem.
> The attached patch sets a system-specific default, provided none has
> been preseeded.
> 
> +db_fget partman/default_filesystem seen
> +if [ "$RET" != "false" ]; then
> +	exit 0
> +fi
> +
> +case "$(udpkg --print-os)" in
> +    "kfreebsd")
> +	db_set partman/default_filesystem ufs
> +	;;
> +    "hurd")
> +	db_set partman/default_filesystem ext2
> +	;;
> +esac
> +
> +db_fset partman/default_filesystem seen true

So, what do people think about it?  BSD people, too?

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#586870; Package partman-base. (Wed, 04 Aug 2010 18:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 04 Aug 2010 18:45:06 GMT) Full text and rfc822 format available.

Message #20 received at 586870@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: debian-boot@lists.debian.org, debian-bsd@lists.debian.org, 586870@bugs.debian.org
Subject: Re: Bug#586870: partman-base: use a system-specific default filesystem
Date: Wed, 4 Aug 2010 20:42:02 +0200
On Sun, Aug 01, 2010 at 04:30:17PM +0200, Samuel Thibault wrote:
> Hello,
> 
> Jeremie Koenig, le Wed 23 Jun 2010 06:53:23 +0200, a écrit :
> > Currently the default filesystem is ext3 on all systems. However, Hurd
> > only supports ext2 and kFreeBSD requires ufs as its root filesystem.
> > The attached patch sets a system-specific default, provided none has
> > been preseeded.
> > 
> > +db_fget partman/default_filesystem seen
> > +if [ "$RET" != "false" ]; then
> > +	exit 0
> > +fi
> > +
> > +case "$(udpkg --print-os)" in
> > +    "kfreebsd")
> > +	db_set partman/default_filesystem ufs
> > +	;;
> > +    "hurd")
> > +	db_set partman/default_filesystem ext2
> > +	;;
> > +esac
> > +
> > +db_fset partman/default_filesystem seen true
> 
> So, what do people think about it?  BSD people, too?
> 

Do we really need to do that at runtime? There is already a code snippet
doing that a build time in debian/rules (look for DEFAULT_FS), wouldn't
it be better to update it for Hurd?

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#586870; Package partman-base. (Wed, 11 Aug 2010 21:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremie Koenig <jk@jk.fr.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 11 Aug 2010 21:39:03 GMT) Full text and rfc822 format available.

Message #25 received at 586870@bugs.debian.org (full text, mbox):

From: Jeremie Koenig <jk@jk.fr.eu.org>
To: Aurelien Jarno <aurelien@aurel32.net>, Samuel Thibault <sthibault@debian.org>
Cc: debian-bsd@lists.debian.org, 586870@bugs.debian.org
Subject: Re: Bug#586870: partman-base: use a system-specific default filesystem
Date: Wed, 11 Aug 2010 23:36:34 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Wed, Aug 04, 2010 at 08:42:02PM +0200, Aurelien Jarno wrote:
> On Sun, Aug 01, 2010 at 04:30:17PM +0200, Samuel Thibault wrote:
> > Jeremie Koenig, le Wed 23 Jun 2010 06:53:23 +0200, a écrit :
> > > [complicated run-time patch for default filesystem selection]
> >
> > So, what do people think about it?  BSD people, too?
> 
> Do we really need to do that at runtime? There is already a code snippet
> doing that a build time in debian/rules (look for DEFAULT_FS), wouldn't
> it be better to update it for Hurd?

Oh, right. New patch attached.

Thanks,
-- 
Jeremie Koenig <jk@jk.fr.eu.org>
http://jk.fr.eu.org
[partman-base-default-filesys-3.patch (text/x-diff, attachment)]

Added tag(s) pending. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Tue, 17 Aug 2010 01:39:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#586870; Package partman-base. (Tue, 17 Aug 2010 02:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 17 Aug 2010 02:09:06 GMT) Full text and rfc822 format available.

Message #32 received at 586870@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Jeremie Koenig <jk@jk.fr.eu.org>
Cc: debian-bsd@lists.debian.org, debian-boot@lists.debian.org, 586870@bugs.debian.org
Subject: Re: Bug#586870: partman-base: use a system-specific default filesystem
Date: Tue, 17 Aug 2010 04:07:52 +0200
Jeremie Koenig, le Wed 11 Aug 2010 23:36:34 +0200, a écrit :
> On Wed, Aug 04, 2010 at 08:42:02PM +0200, Aurelien Jarno wrote:
> > Do we really need to do that at runtime? There is already a code snippet
> > doing that a build time in debian/rules (look for DEFAULT_FS), wouldn't
> > it be better to update it for Hurd?
> 
> Oh, right. New patch attached.

Applied, thanks,
Samuel




Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Mon, 23 Aug 2010 10:21:06 GMT) Full text and rfc822 format available.

Notification sent to Jeremie Koenig <jk@jk.fr.eu.org>:
Bug acknowledged by developer. (Mon, 23 Aug 2010 10:21:06 GMT) Full text and rfc822 format available.

Message #37 received at 586870-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 586870-close@bugs.debian.org
Subject: Bug#586870: fixed in partman-base 144
Date: Mon, 23 Aug 2010 10:17:38 +0000
Source: partman-base
Source-Version: 144

We believe that the bug you reported is fixed in the latest version of
partman-base, which is due to be installed in the Debian FTP archive:

partman-base_144.dsc
  to main/p/partman-base/partman-base_144.dsc
partman-base_144.tar.gz
  to main/p/partman-base/partman-base_144.tar.gz
partman-base_144_amd64.udeb
  to main/p/partman-base/partman-base_144_amd64.udeb
partman-utils_144_amd64.udeb
  to main/p/partman-base/partman-utils_144_amd64.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 586870@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated partman-base package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 23 Aug 2010 11:54:35 +0200
Source: partman-base
Binary: partman-base partman-utils
Architecture: source amd64
Version: 144
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 partman-base - Partition the storage devices (partman) (udeb)
 partman-utils - Utilities related to partitioning (udeb)
Closes: 586870
Changes: 
 partman-base (144) unstable; urgency=low
 .
   [ Jeremie Koenig ]
   * debian/rules: add a case for Hurd's DEFAULT_FS (closes: #586870).
 .
   [ Updated translations ]
   * Asturian (ast.po) by maacub
   * Bulgarian (bg.po) by Damyan Ivanov
   * Danish (da.po) by Jacob Sparre Andersen
   * Serbian (sr.po) by Karolina Kalic
Checksums-Sha1: 
 cbaf0243f23ae67240f65c62284723ab5f6a59b9 1010 partman-base_144.dsc
 dd4063e856615c2f96ca9362c252eb6e4ea3e350 185612 partman-base_144.tar.gz
 3169886fbaa864bd3ec2c407bf4f392c1d4a9276 144168 partman-base_144_amd64.udeb
 099385cf9a114327c3b501c3c8086cc288e64d8e 3828 partman-utils_144_amd64.udeb
Checksums-Sha256: 
 c3e22256954f2efd6042cd36136720ca97119873e727455c64b84797d71eac8e 1010 partman-base_144.dsc
 43402048f1f982588c53997041021fb0abd9a9ad23b7e8f739231923ac58ba06 185612 partman-base_144.tar.gz
 15667b7fcdcc642b96008d08694ef445c02560b6e7e65465a299ee9179d8ae85 144168 partman-base_144_amd64.udeb
 ae13d8bdadf8379d21739e50837a6709b3fabbbd6c4c941f843f3430811fde9a 3828 partman-utils_144_amd64.udeb
Files: 
 b8cbf8fefebc09ed6d0223d0153f7298 1010 debian-installer standard partman-base_144.dsc
 061dbab42014df4e9d9ebf206cbdde0f 185612 debian-installer standard partman-base_144.tar.gz
 3cb64f3713e624e8254c7fcdb3f27d99 144168 debian-installer standard partman-base_144_amd64.udeb
 610aacad74ec4bdfed7e0d9865eb3238 3828 debian-installer extra partman-utils_144_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMckahw3ao2vG823MRAtfUAJ93vxoZ0TQq1fTkafDj3p4CL3M/UwCfSQR/
Ct8/Hjl8zL6dW0Ch4FoBlKY=
=wZHL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 03 Oct 2010 07:41:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:14:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.